Bug 1301554 - Disable log rotation of audit-log.log [NEEDINFO]
Disable log rotation of audit-log.log
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Hofman
Martin Simka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 06:36 EST by Hisanobu Okuda
Modified: 2016-12-14 23:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-14 23:15:09 EST
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thofman: needinfo? (msochure)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3060 Major Verified (7.1.0) Allow disabling audit log rotation 2017-09-13 22:17 EDT
JBoss Issue Tracker WFCORE-1334 Major Resolved Allow disabling audit log rotation 2017-09-13 22:17 EDT

  None (edit)
Description Hisanobu Okuda 2016-01-25 06:36:09 EST
Description of problem:
org.jboss.as.controller.audit.FileAuditLogHandler always rotates audit-log.log at startup/reload. An option to disable log rotation is necessary.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. enable audit-log.log
[standalone@localhost:9999 /] /core-service=management/access=audit/logger=audit-log:write-attribute(name=enabled,value=true)

2. restart EAP or invoke reload command in jboss-cli


Actual results:
The audit-log.log file is rotated

Expected results:
log messages are appended into the audit-log.log file setting an option

Additional info:
Comment 4 JBoss JIRA Server 2016-02-02 10:32:37 EST
Tomas Hofman <thofman@redhat.com> updated the status of jira WFCORE-1334 to Coding In Progress
Comment 5 JBoss JIRA Server 2016-02-10 06:06:28 EST
Tomas Hofman <thofman@redhat.com> updated the status of jira JBEAP-3060 to Coding In Progress
Comment 6 JBoss JIRA Server 2016-03-04 07:09:38 EST
Tomas Hofman <thofman@redhat.com> updated the status of jira JBEAP-3060 to Open
Comment 7 JBoss JIRA Server 2016-07-29 11:14:40 EDT
Kabir Khan <kabir.khan@jboss.com> updated the status of jira JBEAP-3060 to Resolved
Comment 10 Brad Maxwell 2016-12-14 23:15:09 EST
Management api changes cannot be done in CPs, thus it is a feature request, so closing.  The feature will be in EAP 7.1 JBEAP-3060

Note You need to log in before you can comment on or make changes to this bug.